Skip to main content
GET
/
wallets
/
{id}
Fetch a wallet by id
curl --request GET \
  --url https://sandbox.api.btdx.io/wallets/{id} \
  --header 'authorization: <authorization>'
{
  "_meta": {
    "_count": 123,
    "_page": {
      "_pageNumber": 123,
      "_pageSize": 123,
      "_totalElements": 123,
      "_totalPages": 123
    }
  },
  "wallets": [
    {
      "id": "<string>",
      "appId": "<string>",
      "reference": "<string>",
      "description": "<string>",
      "balances": [
        {
          "currencyId": "<string>",
          "balance": 123,
          "balanceAvailable": 123
        }
      ]
    }
  ]
}

Headers

authorization
string
required

Header with the accessToken for the current session

Path Parameters

id
string
required

wallet id

Response

OK

_meta
object
wallets
object[]